Skip to main content
GET
Returns a single news item by node ID

Authorizations

token
string
query
required

API key authentication. Provide your API key as a query parameter.

Headers

accept
enum<string>
default:application/json
required

Specify return format

Available options:
application/json,
application/xml

Path Parameters

nodeID
integer
required

Node ID of the news item

Query Parameters

displayOutput
enum<string>
default:headline

Specify headline only (headline), headline + teaser (abstract), or headline + full body (full) text

Available options:
full,
abstract,
headline
format
enum<string>

Specify the desired format for the api response

Available options:
text

Response

success

author
string

The author of the article. This could be a Benzinga journalist, news desk analyst or contributor on benzinga.com

Example:

"Benzinga Newsdesk"

body
string

The article content. This field can contain HTML and HTML encoded characters

channels
object[]

The topic(s) or categories that relate to the article. Channels can have sub-channels, but they will all be listed as their own item. For Why is it Moving (WIIM) data, use 'WIIM' as channel

created
string

The moment the article is created. The time zone is GMT-4 (EDT). This timestamp will not change. Format: RFC 2822 / RFC 1123

Example:

"Wed, 17 May 2017 14:20:15 -0400"

id
integer

The unique identifier of the article. This identifier is also found in the path of url on benzinga.com

Example:

123456

image
object[]

The featured image related to the article, if applicable. Benzinga Pro headlines will not contain a featured image

importance_rank
integer

The importance rank of the article on a scale of 1 (Low) to 5 (High). Defaults to 1 when not set

Example:

1

original_id
integer

Original article ID if this is a referenced or related article

stocks
object[]

The stock symbols that are listed within the article body. This will not display competitor symbols unless they are specifically referenced in the article

tags
object[]

Additional tags that are not channels or categories, but are recurring themes including analyst names, bills, products, politicians, celebrities, stock movements

teaser
string

Depending on content source: for full articles, this is the first sentence up to 256 characters; for Pro headlines, provides additional context. This field can contain HTML and HTML encoded characters

title
string

The headline of the article. This will only be plain text

Example:

"Apple Announces New iPhone"

updated
string

The timestamp of the last update to the article. The time zone is GMT-4 (EDT). This timestamp has the ability to change one or many times. Format: RFC 2822 / RFC 1123

Example:

"Wed, 17 May 2017 14:20:15 -0400"

url
string

The url where the article lives on benzinga.com

Example:

"https://www.benzinga.com/news/123456"